Bug 247041 - [NEW PORT] audio/squeezelite: Lightweight headless squeezebox player for Logitech Media Server
Summary: [NEW PORT] audio/squeezelite: Lightweight headless squeezebox player for Logi...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords: feature, patch-ready
Depends on:
Blocks:
 
Reported: 2020-06-07 09:01 UTC by Joachim Werner
Modified: 2020-08-15 05:46 UTC (History)
3 users (show)

See Also:
jockl: maintainer-feedback+


Attachments
audio/squeezelite 1.9.7.1253 (4.56 KB, patch)
2020-06-07 09:01 UTC, Joachim Werner
no flags Details | Diff
audio/squeezelite 1.9.7.1253 including patch that removes libmad (9.25 KB, patch)
2020-06-07 11:26 UTC, Joachim Werner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joachim Werner 2020-06-07 09:01:01 UTC
Created attachment 215311 [details]
audio/squeezelite 1.9.7.1253

I'm using this on two raspberry pis (running FreeBSD) for playing synchronized music in my flat. No big deal, fairly simple port with options.
Comment 1 daniel.engberg.lists 2020-06-07 10:38:53 UTC
Can you possibly integrate this patch as libmad is redundant and mpg123 being a lot faster?
https://github.com/openwrt/packages/blob/master/sound/squeezelite/patches/020-no_libmad.patch
Comment 2 Joachim Werner 2020-06-07 11:26:07 UTC
Created attachment 215315 [details]
audio/squeezelite 1.9.7.1253 including patch that removes libmad

Yep, sounds good! Build is working without libmad, should be fine now.
Comment 3 daniel.engberg.lists 2020-07-02 07:34:23 UTC
Fails in poudriere with:

....
cc -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fcommon  -DGPIO  -DDSD  -DFFMPEG  -DLINKALL  -DRESAMPLE  -DUSE_SSL -DNO_SSL_SYM output_pa.c -c -o output_pa.o
output_pa.c:28:10: fatal error: 'portaudio.h' file not found
#include <portaudio.h>
         ^~~~~~~~~~~~~
1 error generated.
gmake[1]: *** [Makefile:162: output_pa.o] Error 1
Comment 4 daniel.engberg.lists 2020-07-30 06:20:42 UTC
@Joachim

Can you have a look at the failure? A quick guess is that you need to add USES= localbase to your Makefile
Comment 5 Joachim Werner 2020-08-09 21:39:14 UTC
(In reply to daniel.engberg.lists from comment #4)

Sorry for the late answer, I was on vacation. :-|
To be honest I'm still trying to reproduce the error, poudriere finishes here on an x86_64 machine, with both amd64 and arm64 (qemu) targets.

But I'll look into it and write back in the next few days!
Comment 6 daniel.engberg.lists 2020-08-10 09:22:30 UTC
Interesting, it compiles fine now (up to date tree) so I guess something might've changed. So I guess that's good news! :-)
Poudriere testport OK (12.1-RELEASE AMD64)
Comment 7 commit-hook freebsd_committer 2020-08-15 05:46:31 UTC
A commit references this bug:

Author: tcberner
Date: Sat Aug 15 05:46:20 UTC 2020
New revision: 544911
URL: https://svnweb.freebsd.org/changeset/ports/544911

Log:
  New port: audio/squeezelite

  Lightweight headless squeezebox player for Logitech Media Server

  WWW: https://github.com/ralph-irving/squeezelite

  PR:		247041
  Submitted by:	Joachim Werner <jockl@pianojockl.org>

Changes:
  head/audio/Makefile
  head/audio/squeezelite/
  head/audio/squeezelite/Makefile
  head/audio/squeezelite/distinfo
  head/audio/squeezelite/files/
  head/audio/squeezelite/files/patch-Makefile
  head/audio/squeezelite/files/patch-decode.c
  head/audio/squeezelite/files/patch-main.c
  head/audio/squeezelite/files/patch-squeezelite.h
  head/audio/squeezelite/pkg-descr
Comment 8 Tobias C. Berner freebsd_committer 2020-08-15 05:46:45 UTC
Committed. Thanks.